﻿using System.Collections.Generic;

namespace CodeEffects.Rule.Demo.Asp.Common.Data
{
	/// <summary>
	/// A supportive class that demonstrates the use of dynamic menu data sources
	/// </summary>
	public class Physician
	{
		/// <summary>
		/// Returns a list of fictitious physicians
		/// </summary>
		/// <returns>List of data source items</returns>
		public static List<Rule.Common.DataSourceItem> List()
		{
			List<Rule.Common.DataSourceItem> people = new List<Rule.Common.DataSourceItem>();

			people.Add(new Rule.Common.DataSourceItem(1, "John Smith"));
			people.Add(new Rule.Common.DataSourceItem(2, "Anna Taylor"));
			people.Add(new Rule.Common.DataSourceItem(3, "Robert Brown"));
			people.Add(new Rule.Common.DataSourceItem(4, "Stephen Lee"));
			people.Add(new Rule.Common.DataSourceItem(5, "Joe Wilson"));
			people.Add(new Rule.Common.DataSourceItem(6, "Samuel Thompson"));

			return people;
		}
	}
}